Retrieve assets
curl --request GET \
--url https://sandbox-remote-api.rayda.co/api/v2/client/assets \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Records fetched successfully",
"data": {
"data": [
{
"id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_spec_id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13.6 Inches",
"RAM": "16GB",
"storage": "512GB SSD"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc2203e-ccde-40b3-bc7d-6da8ab1974a8",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
},
"createdAt": "2024-10-29T08:02:08.000000Z",
"updatedAt": "2024-10-31T13:22:39.000000Z"
},
{
"id": "9d7ce3bd-ef47-48fc-8f85-fbf2a0b2dee8",
"asset_spec_id": "9d7ce3bd-ef47-48fc-8f85-fbf2a0b2dee8",
"asset_id": "9d7c586b-958b-4c31-a59a-9ddca91822b6",
"name": "Apple MacBook Pro M2",
"description": "MacBook Pro Laptop with Apple M2 Pro chip with 12‑core CPU and 19‑core GPU.",
"year": "2023",
"type": "Sale",
"make": "Apple",
"model": "Pro",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"display": "16.2-inch Liquid Retina XDR Display",
"RAM": "16GB Unified Memory",
"storage": "512GB SSD",
"processor": "M2 Pro Chip",
"condition": "New"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d7c586b-958b-4c31-a59a-9ddca91822b6/1731595986.jpeg"
],
"asset_pricing": {
"id": "9dc90cd1-8c2c-4822-bfeb-81a727d2253b",
"amount": "3500",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
},
"createdAt": "2024-11-14T08:44:09.000000Z",
"updatedAt": "2024-11-14T14:52:34.000000Z"
}
],
"total": 4,
"per_page": 15,
"current_page": 1,
"last_page": 1
}
}Assets
Get Assets
Retrieve assets based on the employee’s resident country and the company’s preferred payment currency.
GET
/
client
/
assets
Retrieve assets
curl --request GET \
--url https://sandbox-remote-api.rayda.co/api/v2/client/assets \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Records fetched successfully",
"data": {
"data": [
{
"id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_spec_id": "9d5d68f7-4bde-4a1c-b27b-1c596795046a",
"asset_id": "9d5c19a5-e840-4522-bbf1-7a41b9c30d79",
"name": "Apple Macbook Air M3",
"description": "Apple Macbook Air M3",
"year": "2024",
"type": "Sale",
"make": "Apple",
"model": "MacBook Air",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"condition": "New",
"display": "13.6 Inches",
"RAM": "16GB",
"storage": "512GB SSD"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381725.jpg",
"https://s3.amazonaws.com/rayda.co/test/9d5c19a5-e840-4522-bbf1-7a41b9c30d79/1730381726.jpg"
],
"asset_pricing": {
"id": "9dc2203e-ccde-40b3-bc7d-6da8ab1974a8",
"amount": "3200",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
},
"createdAt": "2024-10-29T08:02:08.000000Z",
"updatedAt": "2024-10-31T13:22:39.000000Z"
},
{
"id": "9d7ce3bd-ef47-48fc-8f85-fbf2a0b2dee8",
"asset_spec_id": "9d7ce3bd-ef47-48fc-8f85-fbf2a0b2dee8",
"asset_id": "9d7c586b-958b-4c31-a59a-9ddca91822b6",
"name": "Apple MacBook Pro M2",
"description": "MacBook Pro Laptop with Apple M2 Pro chip with 12‑core CPU and 19‑core GPU.",
"year": "2023",
"type": "Sale",
"make": "Apple",
"model": "Pro",
"category": "Macbook",
"asset_code": null,
"status": "Available",
"spec": {
"display": "16.2-inch Liquid Retina XDR Display",
"RAM": "16GB Unified Memory",
"storage": "512GB SSD",
"processor": "M2 Pro Chip",
"condition": "New"
},
"images": [
"https://s3.amazonaws.com/rayda.co/test/9d7c586b-958b-4c31-a59a-9ddca91822b6/1731595986.jpeg"
],
"asset_pricing": {
"id": "9dc90cd1-8c2c-4822-bfeb-81a727d2253b",
"amount": "3500",
"currency": {
"code": "GBP",
"name": "British Pound Sterling",
"symbol": "£"
}
},
"createdAt": "2024-11-14T08:44:09.000000Z",
"updatedAt": "2024-11-14T14:52:34.000000Z"
}
],
"total": 4,
"per_page": 15,
"current_page": 1,
"last_page": 1
}
}This endpoint retrieves the assets available for purchase based on the
employee’s resident country and the company’s preferred payment currency. Use
the
country_id and currency_code query parameters to refine your results.Query Parameters
country_id(string) (required) - The ID of the country where the employee is resident.currency_code(string) (required) - The currency code (e.g., GBP) in which the company prefers to pay.
Example Request
GET /api/v2/client/assets?country_id=b9bbd993-6556-4186-a00b-61346f9f66be¤cy_code=GBP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the country where the employee is resident.
The currency code (e.g., GBP) in which the company prefers to pay.
Response
Records fetched successfully
The response is of type object.
⌘I